Bug 170477 - [NEW PORT] sysutils/ltrace: Track runtime library calls in dynamically linked programs
Summary: [NEW PORT] sysutils/ltrace: Track runtime library calls in dynamically linked...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sofian Brabez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-08 12:10 UTC by Sofian Brabez
Modified: 2012-08-08 12:30 UTC (History)
0 users

See Also:


Attachments
.shar (2.20 KB, text/plain)
2012-08-08 12:10 UTC, Sofian Brabez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sofian Brabez freebsd_committer 2012-08-08 12:10:03 UTC
ltrace intercepts and records dynamic library calls which are called by an
executed process and the signals received by that process. It can also intercept
and print the system calls executed by the program.

WWW:	http://ltrace.org/

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2012-08-08 12:10:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sbz

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-08-08 12:20:28 UTC
Author: sbz
Date: Wed Aug  8 11:20:14 2012
New Revision: 302280
URL: http://svn.freebsd.org/changeset/ports/302280

Log:
  ltrace intercepts and records dynamic library calls which are called by an
  executed process and the signals received by that process. It can also intercept
  and print the system calls executed by the program.
  
  WWW:	http://ltrace.org/
  
  PR:		ports/170477
  Submitted by:	sbz (myself)

Added:
  head/sysutils/ltrace/
  head/sysutils/ltrace/Makefile   (contents, props changed)
  head/sysutils/ltrace/distinfo   (contents, props changed)
  head/sysutils/ltrace/pkg-descr   (contents, props changed)
  head/sysutils/ltrace/pkg-plist   (contents, props changed)
Modified:
  head/sysutils/Makefile

Modified: head/sysutils/Makefile
==============================================================================
--- head/sysutils/Makefile	Wed Aug  8 11:11:01 2012	(r302279)
+++ head/sysutils/Makefile	Wed Aug  8 11:20:14 2012	(r302280)
@@ -489,6 +489,7 @@
     SUBDIR += lookupd
     SUBDIR += lookupd_ldap
     SUBDIR += lsof
+    SUBDIR += ltrace
     SUBDIR += luckybackup
     SUBDIR += luma
     SUBDIR += lxinput

Added: head/sysutils/ltrace/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/ltrace/Makefile	Wed Aug  8 11:20:14 2012	(r302280)
@@ -0,0 +1,38 @@
+# New ports collection makefile for:  ltrace
+# Date created:			  2012-07-31
+# Whom:				  Sofian Brabez <sbz@FreeBSD.org>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	ltrace
+PORTVERSION=	0.4
+CATEGORIES=	sysutils
+MASTER_SITES=	${MASTER_SITE_FREEBSD_ORG:S,%SUBDIR%,distfiles,} \
+		${MASTER_SITE_LOCAL:S,%SUBDIR%,sbz,}
+
+MAINTAINER=	sbz@FreeBSD.org
+COMMENT=	Track runtime library calls in dynamically linked programs
+
+LIB_DEPENDS=	elf:${PORTSDIR}/devel/libelf
+
+LICENCE=	GPLv2
+LICENCE_FILE=	${WRKSRC}/COPYING
+
+ONLY_FOR_ARCH=	i386
+
+GNU_CONFIGURE=	yes
+USE_GMAKE=	yes
+
+MAN1=		${PORTNAME}.1
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|^\(CC\)|#\1|' ${WRKSRC}/Makefile.in
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
+	${INSTALL_DATA} ${WRKSRC}/etc/${PORTNAME}.conf ${PREFIX}/etc
+	${INSTALL_MAN} ${WRKSRC}/${MAN1} ${PREFIX}/man/man1
+
+.include <bsd.port.mk>

Added: head/sysutils/ltrace/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/ltrace/distinfo	Wed Aug  8 11:20:14 2012	(r302280)
@@ -0,0 +1,2 @@
+SHA256 (ltrace-0.4.tar.gz) = 22886749d621277adda5d404dedbb807a78d850c8246d35cb8cb491724d6d2c7
+SIZE (ltrace-0.4.tar.gz) = 155468

Added: head/sysutils/ltrace/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/ltrace/pkg-descr	Wed Aug  8 11:20:14 2012	(r302280)
@@ -0,0 +1,5 @@
+ltrace intercepts and records dynamic library calls which are called by an
+executed process and the signals received by that process. It can also intercept
+and print the system calls executed by the program.
+
+WWW:	http://ltrace.org/

Added: head/sysutils/ltrace/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/ltrace/pkg-plist	Wed Aug  8 11:20:14 2012	(r302280)
@@ -0,0 +1,3 @@
+@comment $FreeBSD$
+bin/ltrace
+etc/ltrace.conf
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Sofian Brabez freebsd_committer 2012-08-08 12:26:33 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2012-08-08 12:26:38 UTC
Author: sbz
Date: Wed Aug  8 11:26:25 2012
New Revision: 302281
URL: http://svn.freebsd.org/changeset/ports/302281

Log:
  - Revive the sysutils/ltrace port in r302280
  
  PR:		ports/170477
  Submitted by:	sbz (myself)

Modified:
  head/MOVED

Modified: head/MOVED
==============================================================================
--- head/MOVED	Wed Aug  8 11:20:14 2012	(r302280)
+++ head/MOVED	Wed Aug  8 11:26:25 2012	(r302281)
@@ -2397,7 +2397,6 @@ security/libidea||2011-08-01|Has expired
 security/rain||2011-08-01|Has expired: Looks like abandonware, no more public distfiles
 sysutils/Tee||2011-08-01|Has expired: No more public distfile
 sysutils/i855vidctl10||2011-08-01|Has expired: No more public distfiles
-sysutils/ltrace||2011-08-01|Has expired: Looks like abandonware, no more public distfiles
 sysutils/rsyslog3-snmp||2011-08-01|Has expired: unsupported upstream
 sysutils/xapply||2011-08-01|Has expired: No more public distfiles
 textproc/asm2html||2011-08-01|Has expired: Looks like abandonware, no more public distfiles
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"